#import <AppKit/AppKit.h>
#import <EOAccess/EOAccess.h>

@interface JDBCLoginPanel : EOLoginPanel
{
    id jdbcDriverField;
    id parametersField;
    id passwordField;
    id usernameField;
    id versionField;
    id protocolField;
    id subprotocolField;
    id jdbcPanel;
    id templatePopup;
    id newButton;
    id deleteButton;
    id exportButton;
    id importButton;
    id updateConntDictButton;
    id templateNameField;
    id classpathField;
    NSMutableDictionary *extraInfoDictionary;
    NSMutableDictionary * loginTemplatesDict;
}

- (void) saveToDefaults;

- (void) loadPopupList;

- (void) setTemplateName: sender;

- (void) clearFields;
- (void) unselectTemplate;

- (void) deleteTemplate: sender;
- (void) newTemplate: sender ;
- (void) exportTemplates: sender;
- (void) importTemplates: sender ;
- (void) updateConnectDictionary: sender ;

- (void)cancelConnection:(id)sender;
- (void)tryConnection:(id)sender;
- (void)selectLoginTemplate:(id)sender;

- (NSDictionary *)runPanelForAdaptor:(EOAdaptor *)adaptor validate:(BOOL)validate allowsCreation:(BOOL)allowsCreation;
- (NSDictionary *)administrativeConnectionDictionaryForAdaptor:(EOAdaptor *)adaptor;

- (void) setClasspath:(id)sender;
@end
